| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
IOLink.SpatialDirections Class Reference

Describes a spatial axis system, with direction vectors describing the three axes. More...

Inheritance diagram for IOLink.SpatialDirections:

## Public Member Functions
| SpatialDirections (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()
override bool | Equals (object obj)
| SpatialDirections ()
| Create a default spatial direction.
| SpatialDirections (Vector3d columnDirection, Vector3d rowDirection)
| Create a SpatialDirections instance from two vectors.
| SpatialDirections (SpatialDirections other)
Vector3d | GetColumnDirection ()
| The direction vector following the column dimension (X)
Vector3d | GetRowDirection ()
| The direction vector following the row dimension (Y)
Vector3d | GetSliceDirection ()
| The direction vector following the slice dimension (Z)
string | ToString ()
| Return a string decription of the spatial directions.

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (SpatialDirections obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (SpatialDirections obj)
static bool | operator== (SpatialDirections v1, SpatialDirections v2)
static bool | operator!= (SpatialDirections v1, SpatialDirections v2)
static bool | InternalEqual (SpatialDirections v1, SpatialDirections v2)

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Properties
Vector3d | ColumnDirection`[get]`
| The direction of the first axis.
Vector3d | RowDirection`[get]`
| The direction of the second axis.
Vector3d | SliceDirection`[get]`
| The direction of the third axis.

## Detailed Description

Describes a spatial axis system, with direction vectors describing the three axes.

Axes are defined in a right hand system, so the third direction can be computed from the first two ones.

## Constructor & Destructor Documentation

## ◆ SpatialDirections() [1/2]

IOLink.SpatialDirections.SpatialDirections | ( |  | ) |
| inline

Create a default spatial direction.

default values are the following:

- column direction: (1.0, 0.0, 0.0)
- row direction: (0.0, 1.0, 0.0)
- slice direction: (0.0, 0.0, 1.0)

## ◆ SpatialDirections() [2/2]

IOLink.SpatialDirections.SpatialDirections | ( | Vector3d | columnDirection,
|  | Vector3d | rowDirection
| ) |  |
| inline

Create a SpatialDirections instance from two vectors.

The slice direction vector will be computed by using the cross product of the two given direction.

Parameters

  columnDirection | column direction vector
  rowDirection | row direction vector

The documentation for this class was generated from the following file:

- Release/net/generated/SpatialDirections.cs